| Oyranos Colour Management System API

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Data Fields
oyObjectInfoStatic_s Struct Reference

a static object More...

`#include <oyranos_generic.h>`

Inheritance diagram for oyObjectInfoStatic_s:
Collaboration diagram for oyObjectInfoStatic_s:

## Data Fields
oyOBJECT_e | type
oyPointer | dummy1
oyPointer | dummy2
oyPointer | dummy3
oyOBJECT_e | inheritance [8]
Data Fields inherited from oyStruct_s
oyStruct_Copy_f | copy
oyStruct_Release_f | release

## Additional Inherited Members
Public Member Functions inherited from oyStruct_s
const char * | oyStruct_GetText (oyStruct_s *obj, oyNAME_e name_type, uint32_t flags)
| get a text dump More...

## Detailed Description

a static object

The data field is to be placed alternatively to a oyObject_s at oyStruct_s::oy_ for a static object. It provides basic object data.

Version
  Oyranos: 0.3.0

Since
  2011/02/02 (Oyranos: 0.3.0)

Date
  2011/02/02

## Field Documentation

oyPointer oyObjectInfoStatic_s::dummy1

keep zero

oyPointer oyObjectInfoStatic_s::dummy2

keep zero

oyPointer oyObjectInfoStatic_s::dummy3

keep zero

oyOBJECT_e oyObjectInfoStatic_s::inheritance[8]

inherited structures start with the position of the last member, followed by the first object type until the last one. Seven levels of inheritance are possible at maximum.

Referenced by oyStruct_CheckType().

oyOBJECT_e oyObjectInfoStatic_s::type

oyOBJECT_INFO_STATIC_S